package request


type AlibabaWdkItemBrandQueryRequest struct {
    /*
        查询关键词，不填则查询全部     */
    Keyword  *string `json:"keyword,omitempty" required:"false" `
    /*
        起始位置 defalutValue��0    */
    Offset  *int64 `json:"offset,omitempty" required:"false" `
    /*
        一页大小 defalutValue��2000    */
    PageSize  *int64 `json:"page_size,omitempty" required:"false" `
}

func (s *AlibabaWdkItemBrandQueryRequest) SetKeyword(v string) *AlibabaWdkItemBrandQueryRequest {
    s.Keyword = &v
    return s
}
func (s *AlibabaWdkItemBrandQueryRequest) SetOffset(v int64) *AlibabaWdkItemBrandQueryRequest {
    s.Offset = &v
    return s
}
func (s *AlibabaWdkItemBrandQueryRequest) SetPageSize(v int64) *AlibabaWdkItemBrandQueryRequest {
    s.PageSize = &v
    return s
}

func (req *AlibabaWdkItemBrandQueryRequest) ToMap() map[string]interface{} {
    paramMap := make(map[string]interface{})
    if(req.Keyword != nil) {
        paramMap["keyword"] = *req.Keyword
    }
    if(req.Offset != nil) {
        paramMap["offset"] = *req.Offset
    }
    if(req.PageSize != nil) {
        paramMap["page_size"] = *req.PageSize
    }
    return paramMap
}

func (req *AlibabaWdkItemBrandQueryRequest) ToFileMap() map[string]interface{} {
    fileMap := make(map[string]interface{})
    return fileMap
}